Skip to content

Get Subscription

Open in ChatGPT Open in Claude
GET
/v1/subscription/{identifyId}
curl --request GET \
--url https://api.foldspace.ai/v1/subscription/example \
--header 'X-FOLDSPACE-API-KEY: <X-FOLDSPACE-API-KEY>'

Retrieves subscription by identifyId.

identifyId
required
string

The unique identifier of the subscription

Subscription retrieved successfully

Media type application/json

Subscription Data Transfer Object

object
id

System-managed subscription ID (not updatable)

string
identifyId
required

Unique identify ID for the subscription. Required during creation, not updatable.

string
0 <= 255 characters
name

Subscription name

string
0 <= 255 characters
domain

Domain associated with this subscription

string
0 <= 255 characters
planId

Plan ID or SKU

string
0 <= 255 characters
lastSeenDate

Last seen date (epoch ms). Must be a positive value.

integer format: int64
lastModifiedDate

Last modified date (system-managed)

integer format: int64
customAttributes

Custom attributes as map of key-value pairs

object
key
additional properties

Custom attributes as map of key-value pairs

object
products

Products associated with this subscription (1=prod, 2=stage, 3=test, 4=dev)

Array<object>
0 <= 20 items unique items

Details about product and environment association

object
product

Product code

string
0 <= 16 characters
environment

Environment code (1=prod, 2=stage, 3=test, 4=dev)

integer format: int32
>= 1 <= 4
Examples
Example Example Response

Example Response

{
"id": "63f17f2c-e1ca-4e98-8391-500e7c84df19",
"identifyId": "subscription_1234",
"name": "Acme Org Subscription",
"domain": "acme.org",
"planId": "PLAN-123456",
"lastSeenDate": 1734539909141,
"lastModifiedDate": 1731863535216,
"customAttributes": {
"industry": "SaaS",
"region": "US"
},
"products": [
{
"product": "X7B69NRTTBM7",
"environment": 1
},
{
"product": "Q2A36ZPLT6H1",
"environment": 4
}
]
}

Unauthorized

Media type application/json
string
Example
{
"error": "Unauthorized"
}

Subscription not found

Media type application/json
string
Example
{
"error": "Subscription not found"
}

Rate Limit Exceeded

Media type application/json
string
Example
{
"error": "Rate Limit Exceeded"
}

Rate limit exceeded for subscription

Media type */*
string
Example
{
"error": "Rate limit exceeded for subscription"
}

Internal server error

Media type application/json
string
Example
{
"error": "Internal server error"
}